% plotspring.m
  lq = norm(q);
  sp = 1/lq*[q(1),-q(2);...
	     q(2),q(1)]*[lq,0;0,1]*spv;
  plot(q(1),q(2),'ro','markersize',8); hold on;
  plot(sp(1,:),sp(2,:),'b-');
  plot([-1.5 1.5],[0 0],'k-');
  plot([0 0],[-4 1],'k-'); hold off;
  xlabel('{\bf q_1}','fontsize',14);
  ylabel('{\bf q_2}','fontsize',14);
  title(sprintf('t = %f',t));
  axis([-1.5 1.5 -4 1]); 
  drawnow;